path: /build/build/qtdiag-dev-qt-5-5.15.2+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test network widgets" emerge dev-qt/qtdiag:5 -pv -t && \
    USE="-test network widgets" emerge -j ${JOBS} --nodeps dev-qt/qtdiag:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtdiag && luet-portage --dir /pkgdir/qtdiag
    dev-qt/qtdiag:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:f1c2868ef10b4bc1e9c711bd9f7e81f5a781f037ac7d249136139b2924571974
  package:
    name: qtdiag
    version: 5.15.2+3
    category: dev-qt-5
    use_flags:
    - -test
    - network
    - widgets
    requires:
    - name: qtnetwork
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Tool for reporting diagnostic information about Qt and its environment
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-04-25 13:15:23.168469661 +0000 UTC m=+129.332698512
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*:5= network? ( =dev-qt/qtnetwork-5.15.2*[ssl]
        ) widgets? ( =dev-qt/qtwidgets-5.15.2* ) test? ( =dev-qt/qttest-5.15.2* )
      IUSE: +network +widgets debug test
      RDEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*:5= network? ( =dev-qt/qtnetwork-5.15.2*[ssl]
        ) widgets? ( =dev-qt/qtwidgets-5.15.2* )
      emerge.packages: dev-qt/qtdiag:5
      kit: qt-kit
      original.package.name: dev-qt/qtdiag
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240314
    treedir: /build/packages
  package_dir: /pkgdir/qtdiag
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c724ae773ef8a71d74b45cd0388402f0cb783556407b67c90f3f046f5c1e143a
compressiontype: zstd
files:
- usr/lib64/qt5/bin/qtdiag
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/BDEPEND
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/BUILD_TIME
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/CATEGORY
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/CBUILD
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/CFLAGS
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/CHOST
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/CONTENTS
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/COUNTER
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/CXXFLAGS
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/DEFINED_PHASES
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/DEPEND
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/DESCRIPTION
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/EAPI
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/FEATURES
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/HOMEPAGE
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/INHERITED
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/IUSE
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/KEYWORDS
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/LDFLAGS
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/LICENSE
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/NEEDED
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/PF
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/RDEPEND
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/REQUIRES
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/RESTRICT
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/SIZE
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/SLOT
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/USE
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/environment.bz2
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/qtdiag-5.15.2_p20240314.ebuild
- var/db/pkg/dev-qt/qtdiag-5.15.2_p20240314/repository
package_cacheimage: ""
runtime:
  name: qtdiag
  version: 5.15.2+3
  category: dev-qt-5
  use_flags:
  - -test
  - network
  - widgets
  requires:
  - name: qtnetwork
    version: '>=0'
    category: dev-qt-5
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Tool for reporting diagnostic information about Qt and its environment
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*:5= network? ( =dev-qt/qtnetwork-5.15.2*[ssl]
      ) widgets? ( =dev-qt/qtwidgets-5.15.2* ) test? ( =dev-qt/qttest-5.15.2* )
    IUSE: +network +widgets debug test
    RDEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*:5= network? ( =dev-qt/qtnetwork-5.15.2*[ssl]
      ) widgets? ( =dev-qt/qtwidgets-5.15.2* )
    emerge.packages: dev-qt/qtdiag:5
    kit: qt-kit
    original.package.name: dev-qt/qtdiag
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240314
